<!doctype html>
<html class="no-js">
<head>



<meta charset="utf-8">
<title>Learn Python the Hard Way</title>

<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="description" content="">
<meta name="viewport" content="width=device-width,initial-scale=1">

<link href='https://fonts.googleapis.com/css?family=Source+Code+Pro|Source+Sans+Pro:200,400,700,200italic,400italic,700italic' rel='stylesheet' type='text/css'>
<link href="../../css/style.min.css" rel="stylesheet">
<!-- http://www.socicon.com -->
<link href="../../css/icons.css" rel="stylesheet">


</head>

<body class="baseline-grid-off book-site" id="top">




<header class="header" role="banner">
    <nav class="navbar navbar-full nav-brand-family">
        <div class="row middle-xs">
            <ul class="brand-links show-md col-xs-3 col-sm-10 bare">
                <li><a href="https://learncodethehardway.org" class="waves-effect">Learn:</a></li>

                <li><a href="https://learncodethehardway.org/python/" class="waves-effect active">Python</a></li>

                <li><a href="https://learncodethehardway.org/ruby/" class="waves-effect">Ruby</a></li>

                <li><a href="https://learncodethehardway.org/more-python/" class="waves-effect">More Python</a></li>

                <li><a href="https://learncodethehardway.org/c/" class="waves-effect">C</a></li>

                <li><a href="https://learncodethehardway.org/sql/" class="waves-effect">SQL</a></li>

                <li><a href="https://learncodethehardway.org/javascript/" class="waves-effect">Javascript</a></li>

                <li><a href="https://learncodethehardway.org/unix/" class="waves-effect">Unix</a></li>

                <li><a href="https://learncodethehardway.org/regex/" class="waves-effect">RegEx</a></li>

                <li><a href="https://www.learndesignthehardway.com/" class="waves-effect">Design</a></li>

            </ul>
            <ul class="brand-links hide-md col-xs-3 col-sm-10 bare">
                <li><a href="https://learncodethehardway.org/" class="waves-effect">LCTHW</a></li>
            </ul>

            <ul class="site-meta col-xs-9 col-sm-2 end-xs bare">
                <li><a href="https://shop.learncodethehardway.org/access/reactivate/" class="waves-effect"><i class="icon icon-user"></i> Login</a></li>
            </ul>

        </div>
    </nav>

    <nav class="navbar navbar-full nav-main" role="navigation">
        <div class="row between-xs center-xs middle-xs bare">
            <div class="col-xs-4 start-xs bare">
                <a href="ex5.html#" class="no-underline nav-trigger waves-effect" id="toc"><div class="transformer hamburcloser">
                        <div class="bar bar-t"></div>
                        <div class="bar bar-m-a"></div>
                        <div class="bar bar-m-b"></div>
                        <div class="bar bar-b"></div>
                </div><span class="nav-trigger_text show-sm-inline">Contents</span></a>
            </div>
            <div class="col-xs-4"><strong>&nbsp;</strong></div>
            <div class="col-xs-4 end-xs bare">
                <a href="https://helpthw.zendesk.com/hc/en-us" class="no-underline nav-trigger waves-effect" id="help"><div class="transformer questioncloser">
                        <div class="icon-question-mark"></div>
                </div><span class="nav-trigger_text show-sm-inline">Help</span></a>
            </div>
        </div>
    </nav>

</header>




<div class="wrapper">
    <div class="masthead python-background" style="background-image: url('/images/pattern-python.svg')">
        <img src="../../images/logo-python.svg" alt="Learn Python The Hard Way" class="logo">
    </div>

    <aside class="sidebar sidebar-left" role="complementary">
        <nav class="side-nav-container">
            <ol class="table-of-contents">
                <h3>Table of Contents</h3>
                <li><a href="../preface.html">Preface</a></li>
                <li><a href="../intro.html">The Hard Way Is Easier</a></li>
                <li><a href="../ex0.html">Ex0: The Setup</a></li>
                <li><a href="../ex1.html">Ex1: A Good First Program</a></li>
                <li><a href="../ex2.html">Ex2: Comments And Pound Characters</a></li>
                <li><a href="../ex3.html">Ex3: Numbers And Math</a></li>
                <li><a href="../ex4.html">Ex4: Variables And Names</a></li>
                <li><a href="../ex5.html">Ex5: More Variables And Printing</a></li>
                <li><a href="../ex6.html">Ex6: Strings And Text</a></li>
                <li><a href="../ex7.html">Ex7: More Printing</a></li>
                <li><a href="../ex8.html">Ex8: Printing, Printing</a></li>
                <li><a href="../ex9.html">Ex9: Printing, Printing, Printing</a></li>
                <li><a href="../ex10.html">Ex10: What Was That?</a></li>
                <li><a href="../ex11.html">Ex11: Asking Questions</a></li>
                <li><a href="../ex12.html">Ex12: Prompting People</a></li>
                <li><a href="../ex13.html">Ex13: Parameters, Unpacking, Variables</a></li>
                <li><a href="../ex14.html">Ex14: Prompting And Passing</a></li>
                <li><a href="../ex15.html">Ex15: Reading Files</a></li>
                <li><a href="../ex16.html">Ex16: Reading And Writing Files</a></li>
                <li><a href="../ex17.html">Ex17: More Files</a></li>
                <li><a href="../ex18.html">Ex18: Names, Variables, Code, Functions</a></li>
                <li><a href="../ex19.html">Ex19: Functions And Variables</a></li>
                <li><a href="../ex20.html">Ex20: Functions And Files</a></li>
                <li><a href="../ex21.html">Ex21: Functions Can Return Something</a></li>
                <li><a href="../ex22.html">Ex22: What Do You Know So Far?</a></li>
                <li><a href="../ex23.html">Ex23: Read Some Code</a></li>
                <li><a href="../ex24.html">Ex24: More Practice</a></li>
                <li><a href="../ex25.html">Ex25: Even More Practice</a></li>
                <li><a href="../ex26.html">Ex26: Congratulations, Take A Test!</a></li>
                <li><a href="../ex27.html">Ex27: Memorizing Logic</a></li>
                <li><a href="../ex28.html">Ex28: Boolean Practice</a></li>
                <li><a href="../ex29.html">Ex29: What If</a></li>
                <li><a href="../ex30.html">Ex30: Else And If</a></li>
                <li><a href="../ex31.html">Ex31: Making Decisions</a></li>
                <li><a href="../ex32.html">Ex32: Loops And Lists</a></li>
                <li><a href="../ex33.html">Ex33: While Loops</a></li>
                <li><a href="../ex34.html">Ex34: Accessing Elements Of Lists</a></li>
                <li><a href="../ex35.html">Ex35: Branches and Functions</a></li>
                <li><a href="../ex36.html">Ex36: Designing and Debugging</a></li>
                <li><a href="../ex37.html">Ex37: Symbol Review</a></li>
                <li><a href="../ex38.html">Ex38: Doing Things To Lists</a></li>
                <li><a href="../ex39.html">Ex39: Dictionaries, Oh Lovely Dictionaries</a></li>
                <li><a href="../ex40.html">Ex40: Modules, Classes, And Objects</a></li>
                <li><a href="../ex41.html">Ex41: Learning To Speak Object Oriented</a></li>
                <li><a href="../ex42.html">Ex42: Is-A, Has-A, Objects, and Classes</a></li>
                <li><a href="../ex43.html">Ex43: Gothons From Planet Percal #25</a></li>
                <li><a href="../ex44.html">Ex44: Inheritance Vs. Composition</a></li>
                <li><a href="../ex45.html">Ex45: You Make A Game</a></li>
                <li><a href="../ex46.html">Ex46: A Project Skeleton</a></li>
                <li><a href="../ex47.html">Ex47: Automated Testing</a></li>
                <li><a href="../ex48.html">Ex48: Advanced User Input</a></li>
                <li><a href="../ex49.html">Ex49: Making Sentences</a></li>
                <li><a href="../ex50.html">Ex50: Your First Website</a></li>
                <li><a href="../ex51.html">Ex51: Getting Input From A Browser</a></li>
                <li><a href="../ex52.html">Ex52: The Start Of Your Web Game</a></li>
                <li><a href="../advice.html">Advice From An Old Programmer</a></li>
                <li><a href="../next.html">Next Steps</a></li>
                <li><a href="../appendixa.html">Appendix A: Command Line Crash Course</a></li>
            </ol>
            <ul class="site-links">
                <h3>Learn the Hard Way</h3>
                <li><a href="ex5.html#" class="waves-effect"><i class="icon-information"></i> About LPTHW</a></li>
                <li><a href="ex5.html#" class="waves-effect"><i class="icon-question-mark"></i> Help &amp; Support</a></li>
                <li><a href="ex5.html#" class="waves-effect"><i class="socicon-twitter"></i> Follow us on Twitter</a></li>
            </ul>
        </nav>
        <div class="colophon text-center">
            <div class="intro">
                <p class="bare-bottom">
                The type for this book is set in 18px / 1.5
                <a href="https://www.google.com/fonts/specimen/Source+Serif+Pro">Adobe Serif</a>,
                <a href="https://www.google.com/fonts/specimen/Source+Sans+Pro">Sans</a>, and
                <a href="https://www.google.com/fonts/specimen/Source+Code+Pro">Code</a>.
                </p>
            </div>
            <div class="printers-mark">
                <div class="inscription">Docendo <i class="icon-repeat"></i> Discimus</div>
            </div>
        </div>
    </aside>

    <div class="overlay"></div>

    <main class="main python" role="main">
    <div class="main-container row center-xs">
        <div class="col-xs-11 col-sm-10 col-md-9 col-lg-8">

            <div class="content">
                <!--- RST STARTS -->
                <h1 class="title">Exercise 5: Change Directory (cd)</h1>
                <p>In this exercise you learn how to change from one directory to another using the <tt class="docutils literal">cd</tt> command.</p>
<div class="section" id="do-this">
<h1>Do This</h1>
<p>I'm going to give you the instructions for these sessions one more time:</p>
<ul class="simple">
<li>You do <em>not</em> type in the <tt class="docutils literal">$</tt> (Unix) or <tt class="docutils literal">&gt;</tt> (Windows).</li>
<li>You type in the stuff after this, then hit Enter.  If I have <tt class="docutils literal">$ cd temp</tt> you just type <tt class="docutils literal">cd temp</tt> and hit Enter.</li>
<li>The output comes after you hit Enter, followed by another <tt class="docutils literal">$</tt> or <tt class="docutils literal">&gt;</tt> prompt.</li>
<li>Always go home first! Do <tt class="docutils literal">pwd</tt> and then <tt class="docutils literal">cd ~</tt> so you go back to your starting point.</li>
</ul>
<div class="section" id="linux-osx">
<h2>Linux/OSX</h2>
<div class="highlight"><pre><span></span><a name="appendix-a-cli--code--ex5.sh-session-pyg.html-1"></a><span class="gp">$</span> <span class="nb">cd</span> temp
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-2"></a><span class="gp">$</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-3"></a><span class="go">~/temp</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-4"></a><span class="gp">$</span> <span class="nb">cd</span> stuff
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-5"></a><span class="gp">$</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-6"></a><span class="go">~/temp/stuff</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-7"></a><span class="gp">$</span> <span class="nb">cd</span> things
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-8"></a><span class="gp">$</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-9"></a><span class="go">~/temp/stuff/things</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-10"></a><span class="gp">$</span> <span class="nb">cd</span> orange/
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-11"></a><span class="gp">$</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-12"></a><span class="go">~/temp/stuff/things/orange</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-13"></a><span class="gp">$</span> <span class="nb">cd</span> apple/
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-14"></a><span class="gp">$</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-15"></a><span class="go">~/temp/stuff/things/orange/apple</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-16"></a><span class="gp">$</span> <span class="nb">cd</span> pear/
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-17"></a><span class="gp">$</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-18"></a><span class="go">~/temp/stuff/things/orange/apple/pear</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-19"></a><span class="gp">$</span> <span class="nb">cd</span> grape/
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-20"></a><span class="gp">$</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-21"></a><span class="go">~/temp/stuff/things/orange/apple/pear/grape</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-22"></a><span class="gp">$</span> <span class="nb">cd</span> ..
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-23"></a><span class="gp">$</span> <span class="nb">cd</span> ..
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-24"></a><span class="gp">$</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-25"></a><span class="go">~/temp/stuff/things/orange/apple</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-26"></a><span class="gp">$</span> <span class="nb">cd</span> ..
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-27"></a><span class="gp">$</span> <span class="nb">cd</span> ..
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-28"></a><span class="gp">$</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-29"></a><span class="go">~/temp/stuff/things</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-30"></a><span class="gp">$</span> <span class="nb">cd</span> ../../..
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-31"></a><span class="gp">$</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-32"></a><span class="go">~/</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-33"></a><span class="gp">$</span> <span class="nb">cd</span> temp/stuff/things/orange/apple/pear/grape
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-34"></a><span class="gp">$</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-35"></a><span class="go">~/temp/stuff/things/orange/apple/pear/grape</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-36"></a><span class="gp">$</span> <span class="nb">cd</span> ../../../../../../../
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-37"></a><span class="gp">$</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-38"></a><span class="go">~/</span>
<a name="appendix-a-cli--code--ex5.sh-session-pyg.html-39"></a><span class="gp">$</span>
</pre></div></div>
<div class="section" id="windows">
<h2>Windows</h2>
<div class="highlight"><pre><span></span><a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-1"></a><span class="gp">&gt;</span> <span class="nb">cd</span> temp
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-2"></a><span class="gp">&gt;</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-3"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-4"></a><span class="go">Path</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-5"></a><span class="go">----</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-6"></a><span class="go">C:\Users\zed\temp</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-7"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-8"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-9"></a><span class="gp">&gt;</span> <span class="nb">cd</span> stuff
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-10"></a><span class="gp">&gt;</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-11"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-12"></a><span class="go">Path</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-13"></a><span class="go">----</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-14"></a><span class="go">C:\Users\zed\temp\stuff</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-15"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-16"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-17"></a><span class="gp">&gt;</span> <span class="nb">cd</span> things
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-18"></a><span class="gp">&gt;</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-19"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-20"></a><span class="go">Path</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-21"></a><span class="go">----</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-22"></a><span class="go">C:\Users\zed\temp\stuff\things</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-23"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-24"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-25"></a><span class="gp">&gt;</span> <span class="nb">cd</span> orange
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-26"></a><span class="gp">&gt;</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-27"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-28"></a><span class="go">Path</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-29"></a><span class="go">----</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-30"></a><span class="go">C:\Users\zed\temp\stuff\things\orange</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-31"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-32"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-33"></a><span class="gp">&gt;</span> <span class="nb">cd</span> apple
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-34"></a><span class="gp">&gt;</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-35"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-36"></a><span class="go">Path</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-37"></a><span class="go">----</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-38"></a><span class="go">C:\Users\zed\temp\stuff\things\orange\apple</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-39"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-40"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-41"></a><span class="gp">&gt;</span> <span class="nb">cd</span> pear
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-42"></a><span class="gp">&gt;</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-43"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-44"></a><span class="go">Path</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-45"></a><span class="go">----</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-46"></a><span class="go">C:\Users\zed\temp\stuff\things\orange\apple\pear</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-47"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-48"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-49"></a><span class="gp">&gt;</span> <span class="nb">cd</span> grape
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-50"></a><span class="gp">&gt;</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-51"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-52"></a><span class="go">Path</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-53"></a><span class="go">----</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-54"></a><span class="go">C:\Users\zed\temp\stuff\things\orange\apple\pear\grape</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-55"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-56"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-57"></a><span class="gp">&gt;</span> <span class="nb">cd</span> ..
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-58"></a><span class="gp">&gt;</span> <span class="nb">cd</span> ..
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-59"></a><span class="gp">&gt;</span> <span class="nb">cd</span> ..
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-60"></a><span class="gp">&gt;</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-61"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-62"></a><span class="go">Path</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-63"></a><span class="go">----</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-64"></a><span class="go">C:\Users\zed\temp\stuff\things\orange</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-65"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-66"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-67"></a><span class="gp">&gt;</span> <span class="nb">cd</span> ../..
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-68"></a><span class="gp">&gt;</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-69"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-70"></a><span class="go">Path</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-71"></a><span class="go">----</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-72"></a><span class="go">C:\Users\zed\temp\stuff</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-73"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-74"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-75"></a><span class="gp">&gt;</span> <span class="nb">cd</span> ..
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-76"></a><span class="gp">&gt;</span> <span class="nb">cd</span> ..
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-77"></a><span class="gp">&gt;</span> <span class="nb">cd</span> temp/stuff/things/orange/apple/pear/grape
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-78"></a><span class="gp">&gt;</span> <span class="nb">cd</span> ../../../../../../../
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-79"></a><span class="gp">&gt;</span> <span class="nb">pwd</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-80"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-81"></a><span class="go">Path</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-82"></a><span class="go">----</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-83"></a><span class="go">C:\Users\zed</span>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-84"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-85"></a>
<a name="appendix-a-cli--code--ex5-win.sh-session-pyg.html-86"></a><span class="gp">&gt;</span>
</pre></div></div>
</div>
<div class="section" id="you-learned-this">
<h1>You Learned This</h1>
<p>You made all these directories in the last exercise, and now you're just moving around inside them with the <tt class="docutils literal">cd</tt> command.  In my session above I also use <tt class="docutils literal">pwd</tt> to check where I am, so remember not to type the output that <tt class="docutils literal">pwd</tt> prints.  For example, on line 3 you see <tt class="docutils literal">~/temp</tt> but that's the output of <tt class="docutils literal">pwd</tt> from the prompt above it.  <em>Do not type this in</em>.</p>
<p>You should also see how I use the <tt class="docutils literal">..</tt> to move &quot;up&quot; in the tree and path.</p>
</div>
<div class="section" id="do-more">
<h1>Do More</h1>
<p>A very important part of learning to use the command line interface (CLI) on a computer with a graphical user interface (GUI) is figuring out how they work together.  When I started using computers there was no &quot;GUI&quot; and you did everything with the DOS prompt (the CLI).  Later, when computers became powerful enough that everyone could have graphics, it was simple for me to match CLI directories with GUI windows and folders.</p>
<p>Most people today, however, have no comprehension of the CLI, paths, and directories.  In fact, it's very difficult to teach it to them and the only way to learn about the connection is for you to constantly work with the CLI until one day it clicks that things you do in the GUI will show up in the CLI.</p>
<p>The way you do this is by spending some time finding directories with your GUI file browser, then going to them with your CLI.  This is what you'll do next.</p>
<ul class="simple">
<li>cd to the <tt class="docutils literal">apple</tt> directory with one command.</li>
<li>cd back to <tt class="docutils literal">temp</tt> with one command, but not further above that.</li>
<li>Find out how to cd to your &quot;home directory&quot; with one command.</li>
<li>cd to your Documents directory, then find it with your GUI file browser (Finder, Windows Explorer, etc.).</li>
<li>cd to your Downloads directory, then find it with your file browser.</li>
<li>Find another directory with your file browser, then cd to it.</li>
<li>Remember when you put quotes around a directory with spaces in it?  You can do that with any command. For example, if you have a directory <tt class="docutils literal">I Have Fun</tt>, then you can do:  <tt class="docutils literal">cd &quot;I Have Fun&quot;</tt></li>
</ul>
</div>
                <!-- RST ENDS -->
            </div>
        </div>

        <div class="row center-xs" id="buy">
            <div class="text-center col-xs-10 col-sm-5 col-md-4">
                <h2 class="section-title__small">Buy The Python 2 Course</h2>
                <p>
                When you buy directly from the author, Zed A. Shaw, you'll get a professional
                quality PDF and  hours of HD Video, all DRM-free and yours to download.
                </p>

                <p class="price-block">
                <span class="currency"><span class="prefix">$</span>29.<span class="suffix">99</span></span>
                </p>

                <a href="https://shop.learncodethehardway.org/access/buy/2/" class="btn btn-primary btn-full">Buy The Python 2 Course</a>
                <a href="https://shop.learncodethehardway.org/access/buy/9/" class="btn btn-primary btn-full">Pre-Order The Python 3 Course Instead</a>

                <p class="text-left btn-subtext">
                <small>Or, you can <a href="https://learnpythonthehardway.org/book/book_2.html">read Learn Python the Hard Way for free</a> right here, video lectures not included.</small>
                </p>

            </div>
            <div class="text-center col-xs-10 col-sm-5 col-md-4 col-sm-offset-1">

                <h2 class="section-title__small">Other Buying Options</h2>
                <a href="http://bit.ly/amznlpthw" class="btn btn-secondary btn-full">Buy on Amazon</a>
                <a href="http://bit.ly/informitlpthw" class="btn btn-secondary btn-full">Buy a hard copy from the Publisher</a>
                <a href="http://bit.ly/bnlpthw" class="btn btn-secondary btn-full">Buy a hard copy from Barnes &amp; Noble</a>

            </div>
        </div>
    </div>

    <div class="row center-xs" id="video_holder" style="display: none">
        <div class="col-xs-11 col-sm-10 col-md-9 col-lg-8">
            <div data-paydiv_product="2" id='paydiv'>
                No content available for this exercise.  You can view all available downloads at <a href="https://shop.learncodethehardway.org/customers/">your customer account page</a>.
            </div>
        </div>
    </div>
    </main>

</div>

<div class="row dark bottom-nav">
    <div class="col-xs text-left">
        <a href="ex5.html" class="prev" id='prev_link'><i class="icon-arrow-67"></i> <i class="icon icon-arrow-left"></i> Previous <span class="hide-xs show-sm-inline">Lesson</span></a>
    </div>
    <div class="col-xs text-right"><a href="ex5.html" class="next" id='next_link'>Next <span class="hide-xs show-sm-inline">Lesson</span> <i class="icon icon-arrow-right"></i></a>
    </div>
</div>
  </div>

<footer class="footer">
<div class="row center-xs">

    <div class="col-xs-11 col-sm-6 col-md-5 col-lg-5">
        <ul class="nav nav-inline">
            <li><h4><a href="https://learnpythonthehardway.org/learnpythonthehardway_default_2.html">Home</a></h4></li>
            <li><h4><a href="https://learncodethehardway.org/about/">About</a></h4></li>
            <li><h4><a href="https://learncodethehardway.org/contact/">Contact</a></h4></li>
        </ul>
        <div class="copyright text-left">
            <small class="text-muted">&copy; 2016 Zed A. Shaw. All rights reserved.</small>
        </div>
    </div>
    <div class="col-xs-11 col-sm-4 col-md-4 col-lg-3">
        <div class="social-media">
            <div class="classy-container">
                <a href="https://twitter.com/lzsthw" class="socicon-twitter"></a>
            </div>
        </div>
    </div>
</div>

</footer>
<script src="../../js/scripts.min.js"></script>

<script src="javascripts/jquery.js"></script>
<script src="index.js"></script>
<script src="https://shop.learncodethehardway.org/static/jzed.js"></script>
<script src="https://shop.learncodethehardway.org/static/js/videojs/video.js"></script>
<link rel="stylesheet" href="https://shop.learncodethehardway.org/static/js/videojs/video-js.css">
<script src="https://shop.learncodethehardway.org/static/api/v1/paydiv.js"></script>
<script src="javascripts/app.js"></script>
<script src="javascripts/littools.js"></script>
<!-- Start of helpthw Zendesk Widget script -->
<script>/*<![CDATA[*/window.zEmbed||function(e,t){var n,o,d,i,s,a=[],r=document.createElement("iframe");window.zEmbed=function(){a.push(arguments)},window.zE=window.zE||window.zEmbed,r.src="javascript:false",r.title="",r.role="presentation",(r.frameElement||r).style.cssText="display: none",d=document.getElementsByTagName("script"),d=d[d.length-1],d.parentNode.insertBefore(r,d),i=r.contentWindow,s=i.document;try{o=s}catch(e){n=document.domain,r.src='javascript:var d=document.open();d.domain="'+n+'";void(0);',o=s}o.open()._l=function(){var o=this.createElement("script");n&&(this.domain=n),o.id="js-iframe-async",o.src=e,this.t=+new Date,this.zendeskHost=t,this.zEQueue=a,this.body.appendChild(o)},o.write('<body onload="document._l();">'),o.close()}("https://assets.zendesk.com/embeddable_framework/main.js","helpthw.zendesk.com");
/*]]>*/</script>
<!-- End of helpthw Zendesk Widget script -->
<script>
(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
 (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
 m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
 })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

ga('create', 'UA-24168052-1', 'auto');
ga('send', 'pageview');

</script>

</body>
</html>
